Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `cloup._params`

## Classes

`Argument`(*args[, help]) | A `click.Argument` with help text.
`Option`(*args[, group]) | A `click.Option` with an extra field `group` of type `OptionGroup`.

## Functions

`argument`(*param_decls[, cls]) |
`option`(*param_decls[, cls, group]) | Attach an `Option` to the command.

## Attributes

`GroupedOption` | Alias of `Option`.

## Contents

class cloup._params.Argument(*args, help=None, **attrs)

  Bases: `click.Argument`

  A `click.Argument` with help text.

  get_help_record(ctx)

class cloup._params.Option(*args, group=None, **attrs)

  Bases: `click.Option`

  A `click.Option` with an extra field `group` of type `OptionGroup`.

cloup._params.GroupedOption

  Alias of `Option`.

cloup._params.argument(*param_decls, cls=None, **attrs)

cloup._params.option(*param_decls, cls=None, group=None, **attrs)

  Attach an `Option` to the command. Refer to `click.Option` and `click.Parameter` for more info about the accepted parameters.

  In your IDE, you won’t see arguments relating to shell completion, because they are different in Click 7 and 8 (both supported by Cloup):

  - in Click 7, it’s `autocompletion`

  - in Click 8, it’s `shell_complete`.

  These arguments have different semantics, refer to Click’s docs.